| ospipsv Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XOspiPsv_Msg Struct Reference
OSPIPSV APIs

This typedef contains configuration information for a flash message. More...

## Data Fields
u8 * | TxBfrPtr
| Write buffer pointer. More...
u8 * | RxBfrPtr
| Read buffer pointer. More...
u32 | ByteCount
| Number of bytes to read or write. More...
u32 | Flags
| Used to indicate the Msg is for TX or RX. More...
u8 | Opcode
| Opcode/Command. More...
u32 | Addr
| Device Address. More...
u8 | Addrsize
| Size of address in bytes. More...
u8 | Addrvalid
| 1 if Address is required for opcode, 0 otherwise More...
u8 | Dummy
| Number of dummy cycles for opcode. More...
u8 | Proto
| Indicate number of Cmd-Addr-Data lines. More...
u8 | IsDDROpCode
| 1 if opcode is DDR command, 0 otherwise More...
u64 | RxAddr64bit
| Provide 64-bit read address for 32-bit platform. More...
u8 | Xfer64bit
| Set to 1 when reading from 64-bit addr otherwise 0. More...
u8 | ExtendedOpcode
| Extended opcode in dual-byte opcode mode. More...

## Detailed Description

This typedef contains configuration information for a flash message.

## Field Documentation

u32 XOspiPsv_Msg::Addr

Device Address.

Referenced by BulkErase(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_Config_IndirectAhb(), XOspiPsv_Dac_Read(), XOspiPsv_Dac_Write(), XOspiPsv_Dma_Read(), XOspiPsv_IDac_Write(), XOspiPsv_IntrHandler(), XOspiPsv_IntrTransfer(), XOspiPsv_SetDllDelay(), XOspiPsv_Stig_Read(), and XOspiPsv_Stig_Write().

u8 XOspiPsv_Msg::Addrsize

Size of address in bytes.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_IntrTransfer(), XOspiPsv_SetDllDelay(), XOspiPsv_Setup_Devsize(), XOspiPsv_Stig_Read(), and XOspiPsv_Stig_Write().

u8 XOspiPsv_Msg::Addrvalid

1 if Address is required for opcode, 0 otherwise

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_IntrHandler(), XOspiPsv_IntrTransfer(), XOspiPsv_PollTransfer(), XOspiPsv_SetDllDelay(), XOspiPsv_Stig_Read(), and XOspiPsv_Stig_Write().

u32 XOspiPsv_Msg::ByteCount

Number of bytes to read or write.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_CheckDmaDone(), XOspiPsv_Config_Dma(), XOspiPsv_Config_IndirectAhb(), XOspiPsv_Dma_Read(), XOspiPsv_IDac_Write(), XOspiPsv_IntrHandler(), XOspiPsv_IntrTransfer(), XOspiPsv_PollTransfer(), XOspiPsv_SetDllDelay(), and XOspiPsv_StartDmaTransfer().

u8 XOspiPsv_Msg::Dummy

Number of dummy cycles for opcode.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_ExecuteRxTuning(), XOspiPsv_IntrTransfer(), XOspiPsv_SetDllDelay(), XOspiPsv_Setup_Dev_Read_Instr_Reg(), and XOspiPsv_Stig_Read().

u8 XOspiPsv_Msg::ExtendedOpcode

Extended opcode in dual-byte opcode mode.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_SetDllDelay(), XOspiPsv_Setup_Dev_Read_Instr_Reg(), XOspiPsv_Setup_Dev_Write_Instr_Reg(), XOspiPsv_Stig_Read(), and XOspiPsv_Stig_Write().

u32 XOspiPsv_Msg::Flags

Used to indicate the Msg is for TX or RX.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_IntrHandler(), XOspiPsv_IntrTransfer(), XOspiPsv_PollTransfer(), XOspiPsv_SetDllDelay(), and XOspiPsv_StartDmaTransfer().

u8 XOspiPsv_Msg::IsDDROpCode

1 if opcode is DDR command, 0 otherwise

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_SetDllDelay(), and XOspiPsv_Setup_Dev_Read_Instr_Reg().

u8 XOspiPsv_Msg::Opcode

Opcode/Command.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_IntrTransfer(), XOspiPsv_SetDllDelay(), XOspiPsv_Setup_Dev_Read_Instr_Reg(), XOspiPsv_Setup_Dev_Write_Instr_Reg(), XOspiPsv_Stig_Read(), and XOspiPsv_Stig_Write().

u8 XOspiPsv_Msg::Proto

Indicate number of Cmd-Addr-Data lines.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_PollTransfer(), XOspiPsv_SetDllDelay(), XOspiPsv_Setup_Dev_Read_Instr_Reg(), and XOspiPsv_Setup_Dev_Write_Instr_Reg().

u64 XOspiPsv_Msg::RxAddr64bit

Provide 64-bit read address for 32-bit platform.

Referenced by XOspiPsv_Config_Dma().

u8* XOspiPsv_Msg::RxBfrPtr

Read buffer pointer.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_CalculateRxTap(), XOspiPsv_CheckDmaDone(), XOspiPsv_Config_Dma(), XOspiPsv_Dac_Read(), XOspiPsv_Dma_Read(), XOspiPsv_FifoRead(), XOspiPsv_IntrHandler(), XOspiPsv_IntrTransfer(), XOspiPsv_PollTransfer(), XOspiPsv_SetDllDelay(), and XOspiPsv_StartDmaTransfer().

u8* XOspiPsv_Msg::TxBfrPtr

Write buffer pointer.

Referenced by BulkErase(), DieErase(), FlashEnterExit4BAddMode(), FlashErase(), FlashIoWrite(), FlashLinearWrite(), FlashRead(), FlashReadID(), FlashSetSDRDDRMode(), MxConfigDummy(), SetBlockProtect(), SpansionSetEccMode(), XOspiPsv_Dac_Write(), XOspiPsv_FifoWrite(), XOspiPsv_IDac_Write(), XOspiPsv_IntrTransfer(), XOspiPsv_PollTransfer(), and XOspiPsv_SetDllDelay().

u8 XOspiPsv_Msg::Xfer64bit

Set to 1 when reading from 64-bit addr otherwise 0.

Referenced by XOspiPsv_CheckDmaDone(), XOspiPsv_Config_Dma(), XOspiPsv_Dma_Read(), and XOspiPsv_IntrHandler().